MarkupBuilder.CharFilter (Groovy 3.0.9)

Package groovy.xml

## Enum MarkupBuilder.CharFilter

- java.lang.Object
- - java.lang.Enum<MarkupBuilder.CharFilter>
  - - groovy.xml.MarkupBuilder.CharFilter

- All Implemented Interfaces:
    `Serializable`, `Comparable<MarkupBuilder.CharFilter>`
  Enclosing class:
    MarkupBuilder

      public static enum MarkupBuilder.CharFilter
      extends Enum<MarkupBuilder.CharFilter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` |
    `XML_ALL` |
    `XML_STRICT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MarkupBuilder.CharFilter` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MarkupBuilder.CharFilter[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XML_STRICT

          public static final MarkupBuilder.CharFilter XML_STRICT

    - #### XML_ALL

          public static final MarkupBuilder.CharFilter XML_ALL

    - #### NONE

          public static final MarkupBuilder.CharFilter NONE

  - ### Method Detail

    - #### values

          public static MarkupBuilder.CharFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkupBuilder.CharFilter c : MarkupBuilder.CharFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkupBuilder.CharFilter valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null